<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 IMIA net based solutions (d.frerich@imia.de)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

namespace IMIA\ImiaBase\Xclass\Flux\ViewHelpers\Be;

use IMIA\ImiaBase\Xclass\Backend\View\PageLayoutView;

/**
 * @package     imia_base
 * @subpackage  Xclass
 * @author      David Frerich <d.frerich@imia.de>
 */
class ContentElementViewHelper extends \FluidTYPO3\Flux\ViewHelpers\Be\ContentElementViewHelper 
{
	/**
	 * @return string
	 */
	public function render() 
	{
		/** @var PageLayoutView $dblist */
		$dblist = $this->arguments['dblist'];
		$record = $this->arguments['row'];
		// varables for function tt_content_drawHeader
		$space = 0;
		$disableMoveAndNewButtons = FALSE;
		$langMode = $dblist->tt_contentConfig['languageMode'];
		$dragDropEnabled = FALSE;
		$rendered = $dblist->tt_content_drawHeader($record, $space, $disableMoveAndNewButtons, $langMode, $dragDropEnabled);
		$rendered .= '<div class="t3-page-ce-body-inner">' . $dblist->tt_content_drawItem($record) . '</div>' . 
			PageLayoutView::tt_content_drawFooter_new($dblist, $record);
		$rendered .= '</div>';

		return $rendered;
	}
}
