config {
    assetic {
        enabled = 0
        settings {
            javaPath = /usr/bin/java
            compass {
                binPath = /usr/local/bin/compass
                plugins = compass-h5bp
            }
            cssembed {
                skip-missing = 1
                charset = utf-8
                max-uri-length = 32768
                max-image-size = 1048576
            }
            yui {
                jarPath = typo3conf/ext/imia_base/Resources/Private/Vendor/Composer/vendor/heartsentwined/yuicompressor/yuicompressor.jar
            }
        }
    }
}

lib.canonical = USER
lib.canonical {
    userFunc = IMIA\ImiaBase\User\Canonical->render
    typolink.addQueryString.exclude = no_cache,assetic

    wrap = {$config.baseUrlProtocol}{$config.canonicalUrl}/|
}

imia.base {
    pagetitle = COA
    pagetitle {
        10 = HMENU
        10 {
            special = rootline
            special.range = 0|-1
            includeNotInMenu = 1

            1 = TMENU
            1 {
                noBlur = 1
                expAll = 1

                NO = 1
                NO {
                    doNotLinkIt = 1
                    stdWrap {
                        field = title
                        noTrimWrap = | | &#124; |
                        noTrimWrap.if.isFalse.field = is_siteroot
                        if.isFalse.field = tx_realurl_exclude
                        stdWrap.stripHtml = 1
                    }
                }

                itemArrayProcFunc = IMIA\ImiaBase\Utility\Helper->arrayReverse
            }
        }

        wrap = <title>|</title>
    }

    metatags = COA
    metatags {
        5 = COA
        5 {
            10 < lib.canonical
            wrap = <link rel="canonical" href="|">
        }

        10 = COA
        10 {
            10 < lib.canonical
            wrap = <meta property="og:url" content="|">
        }

        20 = TEXT
        20 {
            htmlSpecialChars = 1
            data = page:title
            wrap = <meta property="og:title" content="|">
        }

        30 = TEXT
        30 {
            stripHtml = 1
            htmlSpecialChars = 1
            crop = 300 | ... | 1
            data = page:abstract
            wrap = <meta property="og:description" content="|">
            required = 1

            stdWrap.replacement {
                10 {
                    search.char = 10
                    replace.char = 32
                }
                11 {
                    search.char = 13
                    replace =
                }
            }
        }
    }
}