<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

namespace IMIA\ImiaBase\XClass\Templavoila\Plugin;

/**
 * @package     imia_base
 * @subpackage  Xclass
 * @author      David Frerich <d.frerich@imia.de>
 */
class Pi1 extends \tx_templavoila_pi1
{
    /**
     * @param array $conf
     */
	public function initVars($conf)
    {
        parent::initVars($conf);

        if ($conf['userFunc'] == 'tx_templavoila_pi1->main_page' && ($conf['to'] || $conf['ds'])) {
            if ($conf['to']) {
                $GLOBALS['TSFE']->page['tx_templavoila_to'] = $conf['to'];
            }
            if ($conf['ds']) {
                $GLOBALS['TSFE']->page['tx_templavoila_ds'] = $conf['ds'];
            }
        }
	}
}